Bug 503011 - eclipse-epic should require perltidy for code formatting
eclipse-epic should require perltidy for code formatting
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-epic (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 05:38 EDT by Alphonse Van Assche
Modified: 2009-06-04 17:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.6.35-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 17:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alphonse Van Assche 2009-05-28 05:38:53 EDT
Description of problem:
Code formatting need perltidy package to work

Version-Release number of selected component (if applicable):
eclipse-epic-0.6.33-1.fc11.i586

How reproducible:
Press ctrl+shift+f in a .pl document.

Actual results:
Give an error about needed lib not available

Expected results:
working out of the box

Additional info:
Add 'Requires: perltidy' to the specfile so that perltidy is pull-in when the package is installed
Comment 1 Mat Booth 2009-06-02 17:10:03 EDT
Thanks for the bug report.

Please try this build from Koji:

http://koji.fedoraproject.org/koji/getfile?taskID=1390020&name=eclipse-epic-0.6.35-1.fc11.noarch.rpm
Comment 2 Alphonse Van Assche 2009-06-03 03:23:11 EDT
The bug is fixed in the above koji build. 

Thanks
Comment 3 Fedora Update System 2009-06-03 05:41:20 EDT
eclipse-epic-0.6.35-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/eclipse-epic-0.6.35-1.fc11
Comment 4 Fedora Update System 2009-06-04 17:23:42 EDT
eclipse-epic-0.6.35-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.